<?php
/*------------------------------------------------------------------------
# urednideska.php - Úřední deska Component
# ------------------------------------------------------------------------
# author    Petr Houba
# copyright Copyright (C) 2013. All Rights Reserved
# license   GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
# website   urednideska.g6.cz
-------------------------------------------------------------------------*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// Access check.
if (!JFactory::getUser()->authorise('core.manage', 'com_urednideska')) {
	return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
}

// require helper files
JLoader::register('UrednideskaHelper', dirname(__FILE__) . DS . 'helpers' . DS . 'urednideska.php');

// import joomla controller library
jimport('joomla.application.component.controller');

// Add CSS file for all pages
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_urednideska/assets/css/urednideska.css');

$controller = JControllerLegacy::getInstance('Urednideska');
$controller->execute(JRequest::getCmd('task'));
$controller->redirect();

?>