<?php
/*------------------------------------------------------------------------
# controller.php - Úřední deska Component
# ------------------------------------------------------------------------
# author    Petr Houba
# copyright Copyright (C) 2013. All Rights Reserved
# license   GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
# website   urednideska.g6.cz
-------------------------------------------------------------------------*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla controller library
jimport('joomla.application.component.controller');

/**
 * Urednideska Component Controller
 */
class UrednideskaController extends JController {
  function __construct($config = array()) {
    $db 		=& JFactory::getDBO();
    $params = JComponentHelper::getParams ('com_urednideska');
    
    if ($params->get('aut_archivace') == 1) {
      $now = JFactory::getDate()->toFormat('%Y-%m-%d');
      
      $query = 'UPDATE #__urednideska SET state = -1'
          . ' WHERE publish_down < '.$db->quote($now).' AND state = 0 AND publish_down != '.$db->quote('0000-00-00');


      $db->setQuery($query);
      $result = $db->query();       
    }
		
    parent::__construct($config);
	}
  
  public function download() {
    $db =& JFactory::getDBO();
    $params = JComponentHelper::getParams ('com_urednideska');
    $id	= JRequest::getVar('id', '', '', 'int');

    $query = 'SELECT *'
			. ' FROM #__urednideska_files WHERE id = '.$id
		;
		
    $db->setQuery($query);
		$row = $db->loadObject();
		
		$soubor = $row->pid.'-'.$row->filename.'.'.$row->extension;
		
		$query = 'UPDATE #__urednideska_files SET hits = hits+1 WHERE id = '.$id;
		;
		$db->setQuery( $query );
    $result = $db->query();
       
		$link = JURI::base().$params->get('adresar').$soubor;

		$this->setRedirect($link);
  }
}
?>