<?php
/*------------------------------------------------------------------------
# default_kat.php - Úřední deska Component
# ------------------------------------------------------------------------
# author    Petr Houba
# copyright Copyright (C) 2013. All Rights Reserved
# license   GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
# website   urednideska.g6.cz
-------------------------------------------------------------------------*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');
?>
<div id="actual">
  <?php if(count($this->actual) > 0) : ?>
  <table>
  <?php
    $kategorie = '';
    ($this->escape($this->params->get('sloupec1') != '')) ? $s1 = 1 : $s1 = 0; 
    ($this->escape($this->params->get('sloupec2') != '')) ? $s2 = 1 : $s2 = 0;

    $pocetsloupcu = 4 + $s1 + $s2;
    $i = 0;
  ?>
  <?php foreach ($this->actual AS $item) : ?>
    <?php if ($kategorie != $item->catid) : ?>
      <?php if ($i > 0) : ?>
      <tr class="separator">
        <td colspan="<?php echo $pocetsloupcu ?>">&nbsp;</td>
      </tr>
      <?php endif; ?>
      <tr class="kategorie">
        <td colspan="<?php echo $pocetsloupcu; ?>">
          <div><?php echo $item->catitle; ?>
            <div class="katpopis"><?php echo $item->catdescription; ?></div>
            <?php $kategorie = $item->catid ?>
          </div>
        </td>
      </tr>
      <tr class="heading">
        <td class="vyveseno"><?php echo JText::_('COM_UREDNIDESKA_VYVESENO')?></td>
        <td class="sejmuto"><?php echo JText::_('COM_UREDNIDESKA_SEJMUTO')?></td>
        <td class="nazev"><?php echo JText::_('COM_UREDNIDESKA_NAZEV_A_ANOTACE')?></td>
        <td class="dokument"><?php echo JText::_('COM_UREDNIDESKA_DOKUMENT')?></td>
        <?php if ($this->params->get('sloupec1') != '') : ?>
        <td class="vlastni1"><?php echo $this->params->get('sloupec1') ?></td>
        <?php endif ?>
        <?php if ($this->params->get('sloupec2') != '') : ?>
        <td class="vlastni1"><?php echo $this->params->get('sloupec2') ?></td>
        <?php endif; ?>
      </tr>
      <?php $i++; ?>
    <?php endif ?>  
      <tr id="item<?php echo $item->id;?>">
        <td><?php echo UrednideskaHelper::fdatum($item->publish_up) ?></td>
        <td>
        <?php
        if ($item->publish_down == '0000-00-00') {
          echo $this->escape($this->params->get('platnost', ''));
        }
        else {
          echo UrednideskaHelper::fdatum($item->publish_down); 
        } ?>
        </td>
        <td>
        <?php echo $item->title ?>
          <?php if (!empty($item->fulltext)) : ?>
          <div class="popis"><?php echo $item->fulltext ?></div>
        <?php endif ?>  
        </td>
        <td>
          <?php
          $listfiles = array();
          foreach ($this->files AS $file) {
            if ($file->pid == $item->id) {
              $link = JRoute::_('index.php?option=com_urednideska&view=urednideska&task=download&id='.$file->id, false);
              $listfiles[] =  '<li>'.UrednideskaHelper::soubor ($file->pid,$file->file,$file->filename,$file->extension,$link,$file->hits).'</li>';
            }
          }
          ?>
          <?php if (count ($listfiles) > 0) : ?>
            <ul class="files">
            <?php echo implode($listfiles,''); ?>
            </ul>
          <?php endif; ?>
        </td>
        <?php if ($this->escape($this->params->get('sloupec1')) != '') : ?>
        <td class="vlastni1">
        <?php
          switch ($this->escape($this->params->get('sloupec1param'))) {
            case '0':
              echo $item->zodpovida;
            break;
            case '1':
              echo $item->jedcislo;
            break;
            case '3':
              echo $item->vlastni1;
            break;     
          }
        ?>
        </td>
        <?php endif ?>
        <?php if ($this->escape($this->params->get('sloupec2') != '')) : ?>
        <td class="vlastni2">
        <?php
          switch ($this->escape($this->params->get('sloupec2param'))) {
            case '0':
              echo $item->zodpovida;
            break;
            case '1':
              echo $item->jedcislo;
            break;
            case '2':
              echo $item->hits.'x';
            break;
            case '3':
              echo $item->vlastni2;
            break;      
          }
        ?>
        </td>
        <?php endif ?>
      </tr>
    <?php endforeach ?>
  </table>
  <?php else : ?>
  <div style="text-align: center;"><?php echo JText::_('COM_UREDNIDESKA_ITEM_EMPTY'); ?></div>
  <?php endif; ?>
</div>