<?php
/*------------------------------------------------------------------------
# controller.php - Úřední deska Component
# ------------------------------------------------------------------------
# author    Petr Houba
# copyright Copyright (C) 2013. All Rights Reserved
# license   GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
# website   urednideska.g6.cz
-------------------------------------------------------------------------*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla controller library

/**
 * General Controller of Urednideska component
 */
class UrednideskaController extends JControllerLegacy {

  protected $default_view = 'urednideska';
   
	function display($cachable = false, $urlparams = false) {

    $view = JRequest::getCmd('view', 'urednideska');
		$layout = JRequest::getCmd('layout', 'default');
		$id = JRequest::getInt('id');
    
		// Check for edit form.
/*		if ($view == 'urednideska' && $layout == 'edit' && !$this->checkEditId('com_urednideska.edit.upravakategorie', $id)) {
			// Somehow the person just went to the form - we don't allow that.
			$this->setError(JText::sprintf('JLIB_APPLICATION_ERROR_UNHELD_ID', $id));
			$this->setMessage($this->getError(), 'error');
			$this->setRedirect(JRoute::_('index.php?option=com_urednideska&view=upravakategorie', false));

			return false;
		} */


		// set view
		$view = strtolower($view);
    
		// Set the submenu
		UrednideskaHelper::addSubmenu($view);

		// call parent behavior
		parent::display();

    return $this;
	}
}
?>