<?php
/*------------------------------------------------------------------------
# router.php - Úřední deska Component
# ------------------------------------------------------------------------
# author    Petr Houba
# copyright Copyright (C) 2013. All Rights Reserved
# license   GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
# website   urednideska.g6.cz
-------------------------------------------------------------------------*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

function UrednideskaBuildRoute(&$query) {
	$segments = array();

	if(isset($query['view'])):
		$segments[] = $query['view'];
		unset($query['view']);
	endif;

	if(isset($query['id'])):
		$segments[] = $query['id'];
		unset($query['id']);
	endif;

	return $segments;
}

function UrednideskaParseRoute($segments) {
	$vars = array();
	// Count segments
	$count = count($segments);
	//Handle View and Identifier
	switch($segments[0])
	{
		case 'urednideska':
			$id = explode(':', $segments[$count-1]);
			$vars['id'] = (int) $id[0];
			$vars['view'] = 'urednideska';
			break;

		case 'urednidesk':
			$id = explode(':', $segments[$count-1]);
			$vars['id'] = (int) $id[0];
			$vars['view'] = 'urednidesk';
			break;
	}

	return $vars;
}
?>